{ stdenv, hugo, fetchgit, nodejs, ruby }:

let
    url = "https://dev.danilafe.com/Web-Projects/blog-static.git";
    rev = "7f3883fb3994f8ae1a64446a88b729662c9244dc";
    sha256 = "065by3rjg7a43dqdl5ib07c0xi86balb5x2l54jqnlh1hz00bd85";
in
    stdenv.mkDerivation {
        name = "blog-static";
        version = rev;
        src = fetchgit {
            inherit url rev sha256;
        };
        builder = ./builder.sh;
        converter = ./convert.rb;
        buildInputs = [ hugo nodejs (ruby.withPackages (ps: [ ps.nokogiri ])) ];
    }
